use serde::{Deserialize, Serialize};
use ts_rs::TS;
use utoipa::ToSchema;

#[derive(Debug, Clone, Copy, Serialize, Deserialize, sqlx::Type, TS, ToSchema)]
#[repr(i16)]
pub enum Status {
    Deleted = -1,
    Deactivated = 0,
    Active = 1,
}
