-- Table: public.drafts

-- DROP TABLE IF EXISTS public.drafts;

CREATE TABLE IF NOT EXISTS public.drafts
(
    "DraftIDTime" timestamp without time zone NOT NULL DEFAULT now(),
    "DraftIDUser" character varying COLLATE pg_catalog."default" NOT NULL,
    CONSTRAINT drafts_pkey PRIMARY KEY ("DraftIDUser", "DraftIDTime"),
    CONSTRAINT "drafts_DraftIDUser_fkey" FOREIGN KEY ("DraftIDUser")
        REFERENCES public.users ("UserID") MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE NO ACTION
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.drafts
    OWNER to postgres;