-- Table: public.units

-- DROP TABLE IF EXISTS public.units;

CREATE TABLE IF NOT EXISTS public.units
(
    "UnitID" integer NOT NULL GENERATED ALWAYS AS IDENTITY ( INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 2147483647 CACHE 1 ),
    "Display" character varying(255) COLLATE pg_catalog."default" NOT NULL,
    "Abbreviation" character varying(10) COLLATE pg_catalog."default" NOT NULL,
    "Description" character varying COLLATE pg_catalog."default",
    "Status" smallint NOT NULL DEFAULT 1,
    CONSTRAINT units_pkey PRIMARY KEY ("UnitID")
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.units
    OWNER to postgres;